> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Floor Planning

> Generate a rendered image of a floor plan for a room based on the provided input.

## Request

Make a `POST` request to below endpoint and pass the required parameters in the request body.

```curl curl theme={null}
--request POST 'https://modelslab.com/api/v6/interior/floor_planning' \
```

## Body

```json json theme={null}
{  
    "key":"",  
    "init_image": "https://i.pinimg.com/564x/f6/73/9d/f6739dc3fec02fa4019d1045fdad4d47.jpg",  
    "prompt": "rendering floor plan of the apartment layout,top view,white background,masterpiece, kitchen, living room, sofa, chair,bedroom,car best quality, extremely detailed,best illustration, best shadow",  
    "seed": 0,  
    "guidance_scale": 8,  
    "strength": 0.99,  
    "num_inference_steps": 51,  
    "base64": false,  
    "temp": false,  
    "specific_object": null,  
    "webhook": null,  
    "track_id": null
}
```


## OpenAPI

````yaml POST /interior/floor_planning
openapi: 3.1.0
info:
  title: ModelsLab Interior API
  description: AI-powered interior design and architectural visualization API
  license:
    name: MIT
  version: 6.0.0
servers:
  - url: https://modelslab.com/api/v6
    description: Main API server
security: []
paths:
  /interior/floor_planning:
    post:
      summary: Generate floor plan
      description: >-
        Generate a rendered image of a floor plan for a room based on the
        provided input
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FloorPlanningRequest'
      responses:
        '200':
          description: Floor planning response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/SuccessInteriorResponse'
                  - $ref: '#/components/schemas/ProcessingInteriorResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    FloorPlanningRequest:
      type: object
      required:
        - key
        - init_image
        - prompt
      properties:
        key:
          type: string
          description: Your API Key used for authenticating your request
        prompt:
          type: string
          description: >-
            A text prompt describing the content you want in the generated floor
            plan image
        init_image:
          type: string
          format: uri
          description: A URL to the initial image of the room to base the floor plan on
        negative_prompt:
          type: string
          description: >-
            Negative prompts are descriptions of things we don't want in our
            image. Examples include NSFW content, extra limbs, distorted faces,
            poor quality, or anything else we want to avoid
        strength:
          type: number
          description: >-
            The degree to which the prompt influences the initial image. 1.0
            corresponds to full destruction of the initial image details
        base64:
          type: boolean
          default: false
          description: >-
            Specifies whether the response should be returned as a base64
            string. Defaults to false
        num_inference_steps:
          type: integer
          description: The number of denoising steps. Acceptable values are 21, 31, or 41
        guidance_scale:
          type: integer
          description: >-
            The scale for classifier-free guidance. Minimum is 1, and maximum is
            20
        temp:
          type: boolean
          default: false
          description: >-
            Indicates if temporary links should be used, valid for 24 hours.
            Defaults to false
        seed:
          type: integer
          nullable: true
          description: >-
            Seed is used to reproduce results, same seed will give you same
            image in return again. Pass null for a random number
        webhook:
          type: string
          format: uri
          nullable: true
          description: >-
            A URL to receive a POST API call once the image generation is
            complete
        track_id:
          type: integer
          nullable: true
          description: >-
            An ID returned in the API response, used to identify the webhook
            request
    SuccessInteriorResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
        generationTime:
          type: number
          description: Time taken to generate the result in seconds
        id:
          type: integer
          description: Unique identifier for the generation request
        output:
          type: array
          items:
            type: string
            format: uri
          description: Array of URLs to the generated images
        proxy_links:
          type: array
          items:
            type: string
            format: uri
          description: Array of proxy URLs for the generated images
        meta:
          type: object
          description: Metadata about the generation process and parameters used
    ProcessingInteriorResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - processing
        tip:
          type: string
          description: >-
            Your image is processing in background, you can get this image using
            fetch API
        eta:
          type: integer
          description: Estimated time remaining in seconds
        message:
          type: string
          description: Try to fetch request after seconds estimated
        fetch_result:
          type: string
          format: uri
          description: URL to fetch the result when processing is complete
        id:
          type: integer
          description: Unique identifier for the generation request
        output:
          type: array
          items:
            type: string
          description: Empty array during processing
        meta:
          type: object
          description: Metadata about the generation process and parameters used
        future_links:
          type: array
          items:
            type: string
            format: uri
          description: >-
            Array of URLs where the files will be available once processing is
            complete
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: string
          enum:
            - error
        message:
          type: string
          description: Error message

````